Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.plugin.contract
Interface PersistenceManager

All Superinterfaces:
  ServerPlugin

All Known Implementing Classes:
  JDBCPersistenceManager

public interface PersistenceManager
extends ServerPlugin

The interface to the persistence manager

Version:
  `1.1` PersistenceManager.java,v 1.1 2006/02/22 17:33:42 timfox Exp
Author:
  Ovidiu Feodorov, Tim Fox

Nested Class Summary
`static class` | `PersistenceManager.ReferenceInfo`

Method Summary
`void` | `addReference(long channelID, MessageReference ref, Transaction tx)`
`void` | `addReferences(long channelID, java.util.List references, boolean loaded)`
`java.util.List` | `getMessages(java.util.List messageIds)`
`long` | `getMinOrdering(long channelID)`
`int` | `getNumberOfUnloadedReferences(long channelID)`
`java.util.List` | `getReferenceInfos(long channelID, long minOrdering, int number)`
`void` | `removeAllChannelData(long channelID)` TODO Do we really need this method?
`void` | `removeReference(long channelID, MessageReference ref, Transaction tx)`
`void` | `removeReferences(long channelID, java.util.List refs)`
`long` | `reserveIDBlock(java.lang.String counterName, int size)`
`void` | `resetLoadedStatus(long channelID)`
`java.util.List` | `retrievePreparedTransactions()`
`void` | `updateReferencesNotLoaded(long channelID, java.util.List references)`
`void` | `updateReliableReferencesLoadedInRange(long channelID, long orderStart, long orderEnd)`

Methods inherited from interface org.jboss.messaging.core.plugin.contract.ServerPlugin
`getInstance`

Method Detail

### retrievePreparedTransactions

    public java.util.List retrievePreparedTransactions()
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeAllChannelData

    public void removeAllChannelData(long channelID)
                              throws java.lang.Exception

  TODO Do we really need this method?

  Throws:
    `java.lang.Exception`

### resetLoadedStatus

    public void resetLoadedStatus(long channelID)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addReference

    public void addReference(long channelID,
                             MessageReference ref,
                             Transaction tx)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeReference

    public void removeReference(long channelID,
                                MessageReference ref,
                                Transaction tx)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addReferences

    public void addReferences(long channelID,
                              java.util.List references,
                              boolean loaded)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeReferences

    public void removeReferences(long channelID,
                                 java.util.List refs)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMinOrdering

    public long getMinOrdering(long channelID)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### updateReferencesNotLoaded

    public void updateReferencesNotLoaded(long channelID,
                                          java.util.List references)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### updateReliableReferencesLoadedInRange

    public void updateReliableReferencesLoadedInRange(long channelID,
                                                      long orderStart,
                                                      long orderEnd)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getNumberOfUnloadedReferences

    public int getNumberOfUnloadedReferences(long channelID)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getReferenceInfos

    public java.util.List getReferenceInfos(long channelID,
                                            long minOrdering,
                                            int number)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMessages

    public java.util.List getMessages(java.util.List messageIds)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### reserveIDBlock

    public long reserveIDBlock(java.lang.String counterName,
                               int size)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.